Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.view
Class EMFDataOutputView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView
              org.ascape.view.nonvis.DataView
                  org.eclipse.amp.escape.view.EMFDataOutputView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public class EMFDataOutputView

extends DataView

Author:
  mparker
See Also:
  Serialized Form

Field Summary
`static org.eclipse.core.runtime.IPath` | `RESULTS_FOLDER`

Fields inherited from class org.ascape.view.nonvis.DataView
`dataSelection`

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`EMFDataOutputView(org.eclipse.core.resources.IResource resource, SContext model)`

Method Summary
`void` | `scapeAdded(ScapeEvent scapeEvent)` Notifies the listener that the scape has added it.
`void` | `scapeIterated(ScapeEvent scapeEvent)` Called immediatly after scape is iterated.
`void` | `scapeRemoved(ScapeEvent scapeEvent)` Notifies the listener that the scape has removed it.
`void` | `scapeStarted(ScapeEvent scapeEvent)` Called immediatly after the scape is started.
`void` | `scapeStopped(ScapeEvent scapeEvent)` Called immediatly after the scape is stopped.

Methods inherited from class org.ascape.view.nonvis.DataView
`getDataSelection`

Methods inherited from class org.ascape.view.nonvis.NonGraphicView
`isGraphic`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeNotification, scapeSetup, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESULTS_FOLDER

    public static final org.eclipse.core.runtime.IPath RESULTS_FOLDER

Constructor Detail

### EMFDataOutputView

    public EMFDataOutputView(org.eclipse.core.resources.IResource resource,
                             SContext model)

Method Detail

### scapeAdded

    public void scapeAdded(ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Description copied from class: `DataView`
  Notifies the listener that the scape has added it. Creates a new data selection for data output, backed by the Scape's data group.

  Specified by:
    `scapeAdded` in interface `ScapeListener`
  Overrides:
    `scapeAdded` in class `DataView`
  Parameters:
    `scapeEvent` -
  Throws:
    `java.util.TooManyListenersException`
  See Also:
    `DataView.scapeAdded(org.ascape.model.event.ScapeEvent)`

### scapeStarted

    public void scapeStarted(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is started.

  Specified by:
    `scapeStarted` in interface `ScapeListener`
  Overrides:
    `scapeStarted` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStarted(org.ascape.model.event.ScapeEvent)`

### scapeIterated

    public void scapeIterated(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after scape is iterated.

  Specified by:
    `scapeIterated` in interface `ScapeListener`
  Overrides:
    `scapeIterated` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeIterated(org.ascape.model.event.ScapeEvent)`

### scapeStopped

    public void scapeStopped(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is stopped.

  Specified by:
    `scapeStopped` in interface `ScapeListener`
  Overrides:
    `scapeStopped` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStopped(org.ascape.model.event.ScapeEvent)`

### scapeRemoved

    public void scapeRemoved(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Notifies the listener that the scape has removed it. The scape event event must be from the scape that this listener is listening to.

  Specified by:
    `scapeRemoved` in interface `ScapeListener`
  Overrides:
    `scapeRemoved` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` - the scape removed notification event
  See Also:
    `scapeAdded`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD